@font-face {
    font-family: 'Roboto';
    src: url('../fonts/Roboto/Roboto-Regular.woff2') format('woff2'),
         url('../fonts/Roboto/Roboto-Regular.woff') format('woff');
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Roboto';
    src: url('../fonts/Roboto/Roboto-Medium.woff2') format('woff2'),
         url('../fonts/Roboto/Roboto-Medium.woff') format('woff');
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Roboto';
    src: url('../fonts/Roboto/Roboto-Bold.woff2') format('woff2'),
         url('../fonts/Roboto/Roboto-Bold.woff') format('woff');
    font-weight: 700;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Rajdhani';
    src: url('../fonts/Rajdhani/Rajdhani-Medium.woff2') format('woff2'),
         url('../fonts/Rajdhani/Rajdhani-Medium.woff') format('woff');
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Rajdhani';
    src: url('../fonts/Rajdhani/Rajdhani-SemiBold.woff2') format('woff2'),
         url('../fonts/Rajdhani/Rajdhani-SemiBold.woff') format('woff');
    font-weight: 600;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Rajdhani';
    src: url('../fonts/Rajdhani/Rajdhani-Bold.woff2') format('woff2'),
         url('../fonts/Rajdhani/Rajdhani-Bold.woff') format('woff');
    font-weight: 700;
    font-style: normal;
    font-display: swap;
}

body {
    margin: 0;
    padding: 0;
    font-family: 'Rajdhani', sans-serif;
    font-size: 20px;
    color: #666;
    line-height: 1.5em;
}
a:link, a:hover, a:visited, a:active {
    color: #606B71;
    text-decoration: none;
    border-bottom: 1px solid #606B71;
    outline: 0;
}

a:hover {
    color: #0c5bde;
    border-color: #0c5bde;
    transition: all 0.25s ease-in-out;
}

a.checkbox:hover {
    border-bottom: none !important;
}

a.no-underline {
    border-bottom: none;
}

header {
    background-color: #eee;
}

div.page-content {
    min-height: calc(100vh - 90px);
}

hr {
    display: block;
    height: 1px;
    border: 0;
    border-top: 1px solid #ccc;
    margin: 1em 0;
    padding: 0;
}

.topnav {
    overflow: hidden;
    margin: 0 8%;
}

.topnav a {
    float: left;
    display: block;
    color: #606B71;
    text-align: center;
    padding: 33px 40px;
    text-decoration: none;
}

.topnav a.logo {
    padding: 0;
    margin-top: 10px;
    margin-bottom: 0;
}

.topnav a.logo#logo-small {
    display: none;
}

.topnav a.logo img {
    height: 75px;
}

.topnav a.login-back {
    background-color: #465bce;
    color: #fff;
    font-weight: bold;
}

.topnav div.main-menu {
    float: right;
}

section {
    padding: 60px 10%;
    word-wrap: break-word;
}

section#bpe-form {
    padding: 100px 16%;
}

img.app-logo {
    width: 100%;
    margin-bottom: 20px;
}

footer {
    font-family: 'Roboto', sans-serif;
    text-align: center;
    padding: 20px 0 40px;
    font-size: 0.8em;
}

div.page-content.login-background {
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    background-image: url("/img/homepage-bpe/login_3000.jpg");
}

div.page-content.login-background div.info-section {
    font-size: 0.8em;
    width: 320px;
}

h1 {
    text-transform: uppercase;
    font-size: 1.3em;
    line-height: 1em;
    color: #fff;
}

div.main-background#background2 h1 {
    margin-bottom: 10px;
}

h2 {
    font-size: 1.5em;
    display: inline;
    font-weight: bold;
    line-height: 1.5em;
}

div.info-text {
    margin-top: 5px;
    font-size: 0.7em;
    line-height: 1.4em;
}

div.info-text.user-guide::before {
    content: "[ ";
}

div.info-text.user-guide::after {
    content: " ]";
}

span.small-text {
    font-size: 0.7em;
}

div.main-background {
    background-position: 70% top;
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;
}

div.main-background#background1 {
    height: 850px;
    background-image: url("/img/homepage-bpe/background1_3000.jpg");
}

div.main-background#background2 {
    height: 850px;
    background-image: url("/img/homepage-bpe/background2_3000.jpg");
}

div.main-background#background3 {
    height: 850px;
    background-image: url("/img/homepage-bpe/background3_3000.jpg");
}

div.main-background#background4 {
    height: 400px;
    background-image: url("/img/homepage-bpe/background4_3000.jpg");
}

div.main-background#background4mini {
    background-position: 70% 5%;
    height: 80px;
    background-image: url("/img/homepage-bpe/background4_3000.jpg");
}

div.main-background div {
    position: absolute;
    height: 110px;
    color: #fff;
    font-size: 3em;
    line-height: 1em;
}

div.main-background#background1 div {
    left: 10%;
    top: 12%;
    width: 800px;
}

div.main-background#background2 div {
    right: 7%;
    top: 4%;
    width: 800px;
}

div.main-background#background3 div {
    left: 10%;
    top: 4%;
    width: 800px;
}

div.main-background#background4 div {
    left: 10%;
    top: 17%;
    font-size: 2em;
    width: 600px;
}

section#main-text p {
    text-align: justify;
    font-size: 2em;
    line-height: 1.6em;
}

button.search-for-products {
    font-family: 'Rajdhani', sans-serif;
    font-weight: 600;
    margin-top: 1.7em;
    padding: 0.9em 1.7em;
    background-color: #0038a5;
    border: none;
    border-radius: 0.6em;
    color: #fff;
    font-size: 0.7em;
    cursor: pointer;
}

section.clients-logos {
    text-align: center;
}

section.clients-logos h2 {
    font-size: 1.3em;
    text-align: center;
}

section.clients-logos img {
    margin: 20px;
    width: 168px;
    height: 68px;
}

section#section-clients-products {
    max-width: 1600px;
    margin: auto;
}

section#section-clients-products img {
    cursor: pointer;
}

section#section-clients-products img.no-products {
    opacity: 0.2;
    filter: grayscale(1);
}

div.cookie-info {
    padding: 10px;
    text-align: center;
    background-color: #fff;
}

div.login-line {
    text-align: right;
    margin-top: 15px;
    font-size: 0.6em;
}

div.login-line a:link, div.login-line a:visited, div.login-line a:active {
    color: #fff;
}

form.em-form {
    margin: 15px 0;
}

button.em-button {
    font-family: 'Rajdhani', sans-serif;
    font-size: 1em;
    color: #fff;
    background-color: #842ab0;
    border: none;
    padding: 15px;
    border-radius: 5px;
    cursor: pointer;
    width: 100%;
}

form.em-form input[type="text"], form.em-form input[type="email"], form.em-form input[type="password"], form.em-form input[type="number"], form.em-form select, form.em-form textarea {
    box-sizing: border-box;
    padding: 14px;
    width: 100%;
    border-radius: 5px;
    border: none;
    font-family: 'Roboto', sans-serif;
    font-size: 0.9em;
    background-color: #fff;
}

form#search-products-form input[type="text"] {
    background-color: #eee;
    width: 40%;
    margin-right: 5px;
}

form#search-products-form button.em-button {
    width: auto;
    padding: 12px 15px 11px;
}

form#log-in-form, form#reset-password-form {
    width: 350px;
}

form.em-form input, form.em-form select, form.em-form textarea {
    margin-bottom: 30px;
}

form.em-form input[name="product-search"] {
    margin-bottom: 0;
}

div.info-section {
    padding: 15px;
    border-radius: 3px;
    border: none;
    background-color: #842ab0;
    color: #fff;
}

div.info-section.alert:before {
    font-family: 'FontAwesome';
    content: "\f06a";
    display: inline-block;
    margin-right: 8px;
    font-size: 1.3em;
}

i.pdc-0, i.pdc-1, i.pdc-2 {
    color: #888;
}

i.pdc-3 {
    color: #ffb116;
}

i.pdc-4, i.pdc-5, i.pdc-6 {
    color: #51b828;
}

p.api-resource {
    font-weight: bold;
    color: #FF6600;
}

p.title {
    margin: 0;
    padding: 100px 0 0;
    text-transform: uppercase;
    font-size: 3em;
    line-height: 1em;
    font-weight: 700;
    width: 80%;
}

p.subtitle {
    margin: 0;
    padding: 10px 0 0;
    font-size: 2em;
    line-height: 1em;
}

p.text {
    margin: 0;
    padding: 50px 0 0;
}

code {
    display: block;
    white-space: pre-wrap;
}

div.top-link {
    margin-bottom: 20px;
}

div.download-pdf-link {
    margin-top: 20px;
}

div.products-company-logo {
    float: right;
}

div.products-company-logo img {
    margin-top: -15px;
}

div.small-image-container {
    width: 52px;
    height: 52px;
    background-color: white;
    border: 1px solid #ccc;
    vertical-align: middle;
    margin: 1px auto;
    display: flex;
    justify-content: center;
    align-items: center;
}
.small-image-container img {
    max-height: 50px;
    max-width: 50px;
}

div.progress-info {
    display: none;
}

div.progress-bar {
    height: 50px;
    background-color: #efefef;
    margin-bottom: 25px;
    border: 1px solid #CFCDCE;
    position: relative;
}

div.progress-label {
    position: absolute;
    line-height: 50px;
    padding-left: 7px;
}

div.progress-bar-color {
    position: absolute;
    background-color: #CFCDCE;
    width: 0%;
    height: 50px;
}

.contentLoading {
    position: absolute;
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
    text-align: center;
    z-index: 3;
    background-color: #fff;
}
.contentLoading i.fa {
    left: 50%;
    margin-left: -30px;
    margin-top: -30px;
    position: absolute;
    top: 50%;
    color: #305c89;
    font-size: 3em;
    opacity: 0.2;
}

.flex-layout {
    display: flex;
    flex-flow: row wrap;
}

.cell-desc {
    padding: 60px;
    flex: 30%;
}

.cell-desc.left {
    padding-left: 10%;
}

.cell-desc.right {
    padding-right: 10%;
    background-color: #e9f3ff;
}

.cell-contact {
    padding: 20px;
    flex: 30%;
    font-family: 'Roboto', sans-serif;
    font-size: 0.6em;
    line-height: 1.5em;
}

.cell-feature {
    font-size: 1.5em;
    line-height: 1.2em;
    padding: 60px;
    flex: 40%;
}

.cell-feature div {
    display: flex;
    align-items: center;
}

.cell-feature div img {
    max-width: 250px;
    width: 100%;
    padding-right: 30px;
}

span#product-number {
    font-size: 3em;
    line-height: 1em;
}

section#section-contact {
    text-align: center;
    background-color: #e7e7e7;
    font-size: 2em;
    line-height: 1.2em;
}

section#section-contact hr {
    width: 300px;
    margin: auto;
    border-width: 0;
    background-color: #666;
    margin-bottom: 1em;
}

section.products-by {
    padding-top: 1.5em;
}

div#products-by-info-line {
    line-height: 1.5em;
    font-size: 0.7em;
    font-family: 'Roboto', sans-serif;
    padding-left: 2.1em;
}

div.products-by-view-container {
    display: flex;
    font-family: 'Roboto', sans-serif;
}

div.group-select {
    flex-basis: 25%;
    flex-shrink: 0;
    background-color: #f0f3fa;
    padding: 30px 10px 30px 30px;
    border-radius: 3px;
    margin: 0.8em 10px 0 0;
    font-size: 0.8em;
    max-height: 800px;
    color: #333;
}

div.group-select>div {
    overflow-y: scroll;
    max-height: 800px;
    scrollbar-color: #c1d0ed #f0f3fa;
}

div.group-select a:link, div.group-select a:hover, div.group-select a:visited, div.group-select a:active {
    color: #333;
}

div.group-select a.category {
    font-weight: bold;
}

div.group-select ul {
    margin-top: 0;
    padding-left: 25px;
}

div.group-select li {
    list-style-type: none;
}

div.group-select a.group-selected {
    color: #0c5bde;
    font-weight: bold;
}

div.group-select span.product-count, div.bpe-product-part h2 span#products-loading {
    font-size: 0.85em;
}

div.products-view {
    flex-basis: 75%;
}

div.bpe-product-part {
    font-family: 'Roboto', sans-serif;
    font-size: 0.8em;
    padding: 10px;
    margin: 0.8em 0 0 10px;
}

div.bpe-product-part h2 {
    font-size: 1em;
    display: block;
    line-height: 1.8em;
    padding: 0 10px;
    color: #333;
}

div.bpe-product-part h2 span#group-name {
    font-family: 'Rajdhani', sans-serif;
    font-size: 1.9em;
    font-weight: 600;
}

div.bpe-product-part h2 span.product-count {
    font-family: 'Roboto', sans-serif;
    font-size: 0.5em;
    font-weight: 400;
}

div.group-select div::-webkit-scrollbar {
    width: 10px;
}
  
div.group-select div::-webkit-scrollbar-track {
    box-shadow: none; 
}

div.group-select div::-webkit-scrollbar-thumb {
    background: #c1d0ed; 
    border-radius: 2px;
}

div.group-select div::-webkit-scrollbar-thumb:hover {
    background: #c1d0ed; 
}

div.group-select ul {
    display: none;
}

.footable.table>thead>tr.footable-filtering>th {
    border-bottom: none !important;
}

.footable.table>thead>tr.footable-header>th {
    border-top: none !important;
    border-bottom: 2px solid #6195e9 !important;
}

.footable.table form.form-inline {
    padding-top: 15px;
    padding-bottom: 15px;
}

.fooicon:not(.fooicon-search, .fooicon-remove, .fooicon-plus) {
    font-size: 0.8em !important;
    color: #6d94d7 !important;
}

.footable .btn-primary {
    background-color: #842ab0 !important;
    border-color: #842ab0 !important;
}

.footable .pagination>.active>a, .footable .pagination>.active>a:focus, .footable .pagination>.active>a:hover, .footable .pagination>.active>span, .footable .pagination>.active>span:focus, .footable .pagination>.active>span:hover {
    background-color: #465bce !important;
    border-color: #465bce !important;
}

.footable .pagination>li:not(.active)>a, .footable .pagination>li>span {
    color: #465bce !important;
}

div.pdc-square-indicator {
    display: inline-block;
    text-align: center;
}

div.pdc-square-indicator span {
    color: #6193e8;
}

table.footable>tbody>tr.footable-empty>td {
    padding-top: 1.6em !important;
    font-size: 1.4em !important;
}

div.public-products-langs
{
    font-size: 0.75em;
    font-weight: bold;
}

div.public-products-langs a
{
    padding-left: 7px;
}

div.public-products-langs a.to-select
{
    font-weight: normal;
}

section.changelog ul
{
    padding-left: 30px;
}

section.changelog ul li div
{
    padding-bottom: 25px;
}

.deprecated-element
{
    opacity: 0.5;
}

.api-gateway-strip
{
    background-color: #e9f3ff;
    padding: 30px 10%;
    color: #0038a5;
}

.api-gateway-access-levels
{
    background-color: #e9f3ff;
    padding: 30px 10%;
    color: #0038a5;
}

.api-gateway-amount
{
    color: #842ab0;
}

@media screen and (max-width: 1800px) {
    section#main-text p {
        font-size: 1.5em;
    }

    p.title {
        font-size: 2em;
    }

    p.subtitle {
        font-size: 1.5em;
    }

    div.main-background#background1 {
        height: 575px;
        background-image: url("/img/homepage-bpe/background1_1800.jpg");
    }
    
    div.main-background#background2 {
        height: 575px;
        background-image: url("/img/homepage-bpe/background2_1800.jpg");
    }
    
    div.main-background#background3 {
        height: 575px;
        background-image: url("/img/homepage-bpe/background3_1800.jpg");
    }

    div.main-background#background4 {
        height: 290px;
        background-image: url("/img/homepage-bpe/background4_1800.jpg");
    }

    div.main-background#background4mini {
        height: 60px;
        background-image: url("/img/homepage-bpe/background4_1800.jpg");
    }

    div.main-background div {
        font-size: 2em;
    }

    div.main-background#background1 div {
        width: 550px;
    }
    
    div.main-background#background2 div {
        width: 550px;
    }
    
    div.main-background#background3 div {
        width: 550px;
    }

    div.main-background#background4 div {
        width: 500px;
        font-size: 1.5em;
    }

    .cell-contact {
        flex: 25%;
    }

    form#search-products-form input[type="text"] {
        width: 50%;
    }

    section#section-contact {
        font-size: 1.5em;
    }
}

@media screen and (max-width: 1200px) {
    body {
        font-size: 16px;
    }

    .topnav a.logo {
        padding: 0;
    }

    div.main-background div {
        font-size: 1.65em;
    }

    div.main-background#background1 {
        height: 375px;
        background-image: url("/img/homepage-bpe/background1_1200.jpg");
    }
    
    div.main-background#background2 {
        height: 375px;
        background-image: url("/img/homepage-bpe/background2_1200.jpg");
    }
    
    div.main-background#background3 {
        height: 375px;
        background-image: url("/img/homepage-bpe/background3_1200.jpg");
    }

    div.main-background#background4 {
        height: 175px;
        background-image: url("/img/homepage-bpe/background4_1200.jpg");
    }

    div.main-background#background4mini {
        height: 40px;
        background-image: url("/img/homepage-bpe/background4_1200.jpg");
    }

    div.main-background#background1 div {
        width: 350px;
    }
    
    div.main-background#background2 div {
        width: 350px;
    }
    
    div.main-background#background3 div {
        top: 4.5%;
        width: 350px;
    }

    div.main-background#background4 div {
        font-size: 1.2em;
        width: 300px;
    }
    
    section {
        padding: 50px 10%;
    }

    .cell-feature {
        font-size: 1.2em;
        padding: 50px;
    }

    .cell-feature div img {
        max-width: 200px;
    }

    p.title {
        padding: 60px 0 0;
        width: 90%;
    }

    .topnav a {
        padding: 35px 36px;
    }

    .cell-contact {
        flex: 60%;
        font-size: 0.7em;
    }

    form#search-products-form input[type="text"] {
        width: 60%;
    }

    div.products-by-view-container {
        flex-direction: column;
    }

    div.group-select {
        margin-right: 0;
        max-height: 300px;
    }

    div.group-select div {
        max-height: 300px;
    }
    
    div.bpe-product-part {
        margin-top: 2em;
        margin-left: 0;
        padding: 0;
    }

    .cell-desc {
        flex: 35%;
        padding: 60px 10%;
    }
}

@media screen and (max-width: 1000px) {
    section#main-text p {
        text-align: left;
        font-size: 1.4em;
    }

    p.title {
        font-size: 1.8em;
        padding: 40px 0 0;
    }

    p.subtitle {
        font-size: 1.4em;
    }

    .topnav a {
        padding: 30px 36px;
    }
    
    .topnav a.logo img {
        height: 63px;
    }

    .topnav a.logo#logo-normal {
        display: none;
    }

    .topnav a.logo#logo-small {
        display: inline;
    }
    
    section {
        padding: 40px 10%;
    }

    .topnav {
        margin: 0 5%;
    }
    
    div.cookie-info {
        font-size: 14px;
    }
    
    section.clients-logos img {
        margin: 10px;
        width: 84px;
        height: 34px;
    }
    code, kbd {
        font-size: 0.8em;
    }
    
    div.products-company-logo {
        float: none;
        margin: 20px 0;
    }
    
    div.products-company-logo img {
        margin-top: 0;
    }

    div.progress-bar {
        height: 40px;
    }

    div.progress-label {
        line-height: 40px;
    }
    
    div.progress-bar-color {
        height: 40px;
    }

    section#section-contact hr {
        width: 250px;
    }
}

@media screen and (max-width: 700px) {
    .cell-feature div img {
        max-width: 150px;
    }

    form#search-products-form input[type="text"] {
        width: 80%;
    }

    div.main-background#background4mini {
        height: 30px;
    }
}

@media screen and (max-width: 500px) {
    div.main-background div {
        font-size: 1.2em;
    }

    div.main-background#background1 {
        height: 275px;
    }
    
    div.main-background#background2 {
        height: 275px;
    }
    
    div.main-background#background3 {
        height: 275px;
    }

    div.main-background#background4 {
        height: 147px;
    }

    div.main-background#background1 div {
        width: 250px;
    }
    
    div.main-background#background2 div {
        width: 220px;
    }
    
    div.main-background#background3 div {
        top: 5%;
        width: 220px;
    }

    div.main-background#background4 div {
        font-size: 1em;
        width: 220px;
    }

    form#log-in-form, form#reset-password-form {
        width: 250px;
        margin: 0 auto;
    }

    div.page-content.login-background div.info-section {
        margin: 15px auto 0;
        width: 220px;
    }

    section#main-text p {
        font-size: 1.2em;
    }

    p.title {
        font-size: 1.6em;
        width: 100%;
    }

    p.subtitle {
        font-size: 1.2em;
    }

    .cell-feature {
        font-size: 1em;
        padding: 40px 20px;
    }

    .cell-feature div img {
        max-width: 100px;
    }

    section#section-contact hr {
        width: 200px;
    }
}

@media print {
    body {
        font-size: 14px;
    }
    header {
        display: none;
    }
    footer {
        display: none;
    }
    button.search-for-products {
        display: none;
    }
    .footable-filtering, .footable-paging {
        display: none;
    }
    div.top-link, div.download-pdf-link {
        display: none;
    }
    section#section-contact {
        display: none;
    }
    section#section-clients {
        display: none;
    }
    section {
        padding: 40px 10%;
    }
}